Models/ErrorViewModel.cs
using System;

namespace fenykepalbum_4_3.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

Models/Fileok.cs
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;

namespace fenykepalbum_4_3.Models
{
    public class Fileok
    {     
        public List<string> fnevek { get;set; }
        public Fileok(string útvonal)
        {
            fnevek = Directory.EnumerateFiles(útvonal).Select(x => x.Substring(útvonal.Length)).ToList();       
        }

    }
}

Models/Kepek.cs
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace fenykepalbum_4_3.AspNetCore.NewDb.Models
{
    public class fenykepContext : DbContext
    {
        public fenykepContext(DbContextOptions<fenykepContext> options)
            : base(options)
        { }
        public DbSet<Kepek>Kepek { get; set; }
        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<Kepek>().HasData(new Kepek
            {
                Id = 1,
                Filenev = "WP_20150531_15_50_32_Pro.jpg",
                Holkeszult = "Lednice",
                Mikor = new DateTime(2015, 5, 31),
                Leiras = "Kastély park, tó"

            }, new Kepek
            {
                Id=2,
                Filenev = "WP_20150531_16_01_58_Pro.jpg",
                Holkeszult = "Lednice",
                Mikor = new DateTime(2015, 5, 31),
                Leiras = "Kastély park, tó"
            }
            ); ;
        }

    }

    public class Kepek
    {
        public int Id { get; set; }

        [Display(Name = "Fájl neve")]
        public string Filenev { get; set; }
        [Display(Name = "Hol készült")]
        public string Holkeszult { get; set; }
        [Display(Name = "Mikor")]
        public DateTime Mikor { get; set; }
        [Display(Name = "Leírás")]
        public string Leiras { get; set; }
    }
}

Models/VáltakozóFényképek.cs
using Microsoft.AspNetCore.Hosting;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;

namespace fenykepalbum_4_3.Models
{
    public class VáltakozóFényképek
    {
        public (List<string>,List<string>) KépekHelye
        {
            get {
                Random r = new Random();
                List<string> képekútvonala = Directory.EnumerateFiles(@"wwwroot/img")
                                                .Select(x =>  x.Substring(7)).Take(3).ToList();  
                List<string> képekcíme= képekútvonala
                                                 .Select(x => x.Substring(3,x.Length-6)).Take(3).ToList();
                return (képekútvonala, képekcíme)   //tuple
                    ; }
               
        }        
    }
}

Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using fenykepalbum_4_3.Models;

namespace fenykepalbum_4_3.Controllers
{
    public class HomeController : Controller
    {     
        public IActionResult Index()
        {
            VáltakozóFényképek váltakozó = new VáltakozóFényképek();
            (List<string> Képekútvonala, List<string> Képekcíme) = váltakozó.KépekHelye;
            ViewData["útvonalak"] = Képekútvonala;
            ViewData["címek"] = Képekcíme;
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

Controllers/KepeimController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using fenykepalbum_4_3.AspNetCore.NewDb.Models;
using System.IO;
using fenykepalbum_4_3.Models;

namespace fenykepalbum_4_3.Views
{
    public class KepeimController : Controller
    {
        private readonly fenykepContext _context;
     
        public KepeimController(fenykepContext context)
        {
            _context = context;
             }

        // GET: Kepeks
        public async Task<IActionResult> Index()
        {
            return View(await _context.Kepek.ToListAsync());
        }

        // GET: Kepeks/Details/5
        public async Task<IActionResult> Details(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var kepek = await _context.Kepek
                .FirstOrDefaultAsync(m => m.Id == id);
            if (kepek == null)
            {
                return NotFound();
            }

            return View(kepek);
        }

        // GET: Kepeks/Create
        public IActionResult Create()
        {
            Fileok fileok = new Fileok("wwwroot/kepek/");
            var fhasználtak = _context.Kepek.Select(y => y.Filenev).ToList();
            var z=fileok.fnevek.Where(x => !fhasználtak.Contains(x)).Select(q=>q);        
            ViewData["fnevek"] = new SelectList(z.Select(X => new { fn = X }).ToList(), "fn", "fn");         
            return View();
        }

        // POST: Kepeks/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create([Bind("Id,Filenev,Holkeszult,Mikor,Leiras")] Kepek kepek)
        {
            if (ModelState.IsValid)
            {
                _context.Add(kepek);
                await _context.SaveChangesAsync();
                return RedirectToAction(nameof(Index));
            }
            return View(kepek);
        }

        // GET: Kepeks/Edit/5
        public async Task<IActionResult> Edit(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var kepek = await _context.Kepek.FindAsync(id);
            if (kepek == null)
            {
                return NotFound();
            }
            Fileok fileok = new Fileok("wwwroot/kepek/");         
            ViewData["fnevek"] = new SelectList(fileok.fnevek.Select(X => new { fn = X }).ToList(), "fn", "fn");
            return View(kepek);
        }

        // POST: Kepeks/Edit/5 
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Edit(int id, [Bind("Id,Filenev,Holkeszult,Mikor,Leiras")] Kepek kepek)
        {
            if (id != kepek.Id)
            {
                return NotFound();
            }

            if (ModelState.IsValid)
            {
                try
                {
                    _context.Update(kepek);
                    await _context.SaveChangesAsync();
                }
                catch (DbUpdateConcurrencyException)
                {
                    if (!KepekExists(kepek.Id))
                    {
                        return NotFound();
                    }
                    else
                    {
                        throw;
                    }
                }
                return RedirectToAction(nameof(Index));
            }
            return View(kepek);
        }

        // GET: Kepeks/Delete/5
        public async Task<IActionResult> Delete(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var kepek = await _context.Kepek
                .FirstOrDefaultAsync(m => m.Id == id);
            if (kepek == null)
            {
                return NotFound();
            }

            return View(kepek);
        }

        // POST: Kepeks/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> DeleteConfirmed(int id)
        {
            var kepek = await _context.Kepek.FindAsync(id);
            _context.Kepek.Remove(kepek);
            await _context.SaveChangesAsync();
            return RedirectToAction(nameof(Index));
        }

        private bool KepekExists(int id)
        {
            return _context.Kepek.Any(e => e.Id == id);
        }
    }
}

Views/Galeria/Index.cshtml
@model IEnumerable<fenykepalbum_4_3.AspNetCore.NewDb.Models.Kepek>
<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<!------ Include the above in your HEAD tag ---------->

@{
    ViewData["Title"] = "Index";
}

<h1>Galéria</h1>

<div class="container page-top">
    <div class="row">

        @foreach (var item in Model)
        {
            <div class="col-lg-3 col-md-4 col-xs-6 thumb">
                <a href="~/kepek/@item.Filenev" id="@item.Filenev"  data-toggle="modal" data-target="#modalablak" onclick="modalbe(this.id)">
                    <img src="~/kepek/@item.Filenev" class="zoom img-fluid " alt="@item.Holkeszult" title="@item.Holkeszult @item.Mikor">

                </a>
            </div>
        }
    </div>
</div>
<div id="modalablak" class="modal fade " role="dialog">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="aktfnev">File</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <img id="aktkep" src="~/kepek/nincs.jpg" style="max-width:100%;max-height:100%" />
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Bezár</button>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">

    function modalbe(fnev) {      
        $("#aktfnev").text(fnev);
        $("#aktkep").attr("src", "/kepek/" + fnev);
    }

</script>

Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

<div id="myCarousel" class="carousel slide" data-ride="carousel">
    <ol class="carousel-indicators">
        <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
        <li data-target="#myCarousel" data-slide-to="1"></li>
        <li data-target="#myCarousel" data-slide-to="2"></li>
    </ol>
    <div class="carousel-inner">
        <div class="carousel-item active">
            <img src=@(((List<string>)ViewData["útvonalak"])[0]) class="d-block w-100" alt=@(((List<string>)ViewData["címek"])[0]) />
        </div>
        <div class="carousel-item">
            <img src=@(((List<string>)ViewData["útvonalak"])[1]) class="d-block w-100" alt=@(((List<string>)ViewData["címek"])[1]) />
        </div>
        <div class="carousel-item">
            <img src=@(((List<string>)ViewData["útvonalak"])[2]) class="d-block w-100" alt=@(((List<string>)ViewData["címek"])[2]) />
        </div>
    </div>
    <a class="carousel-control-prev" href="#myCarousel" role="button" data-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="sr-only">Previous</span>
    </a>
    <a class="carousel-control-next" href="#myCarousel" role="button" data-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="sr-only">Next</span>
    </a>


</div>
<script type="text/javascript">
    $('.carousel').carousel()
</script>

Views/Kepeim/Create.cshtml
@model fenykepalbum_4_3.AspNetCore.NewDb.Models.Kepek

@{
   ViewData["Title"] = "Létrehozás";
}

<h1>Létrehozás</h1>

<h4>Képek</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>

            <img class="img-thumbnail" id="Kep" />
            <div class="form-group">
                <label for="Filenev" class="control-label"></label>
                <input asp-for="Filenev" id="Filenev" class="form-control" />
                <span asp-validation-for="Filenev" class="text-danger"></span>
            </div>

            <div class="form-group">
                <label for="Filenevek" class="control-label"></label>
                @Html.DropDownList("Filenevek", (SelectList)ViewData["fnevek"], new { onchange = "Action(this.value);", @class = "form-control" })
                <span asp-validation="Filenevek" class="text-danger"></span>
            </div>

            <div class="form-group">
                <label asp-for="Holkeszult" class="control-label"></label>
                <input asp-for="Holkeszult" class="form-control" />
                <span asp-validation-for="Holkeszult" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Mikor" class="control-label"></label>
                <input asp-for="Mikor" class="form-control" />
                <span asp-validation-for="Mikor" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Leiras" class="control-label"></label>
                <input asp-for="Leiras" class="form-control" />
                <span asp-validation-for="Leiras" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Létrehoz" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Vissza a listához</a>
</div>


<script src="https://code.jquery.com/jquery-3.4.1.slim.js"
        integrity="sha256-BTlTdQO9/fascB1drekrDVkaKd9PkwBymMlHOiG+qLI="
        crossorigin="anonymous">

</script>
<script type="text/javascript">
    $(document).ready(function () {
        $("#Filenev").val($("#Filenevek option:selected").text());
         $("#Kep").attr("src", "/kepek/" + $("#Filenev").val());
    }
    );
    $("#Filenevek").on("change", function () {
        var fn = $("#Filenevek option:selected").text();
        $("#Filenev").val(fn);
        $("#Kep").attr("src", "/kepek/" + fn);

    });
</script>
@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

Views/Kepeim/Delete.cshtml
@model fenykepalbum_4_3.AspNetCore.NewDb.Models.Kepek

@{
    ViewData["Title"] = "Delete";
}

<h1>Törlés</h1>

<h3>Biztos benne?</h3>
<div>
    <h4>Képek</h4>
    <hr />
    <dl class="row">
        <dt class = "col-sm-2">
           Kép
        </dt>
        <dd class = "col-sm-10">
            <img src="~/kepek/@Model.Filenev" class="img-thumbnail kicsi" />
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Filenev)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Filenev)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Holkeszult)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Holkeszult)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Mikor)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Mikor)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Leiras)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Leiras)
        </dd>
    </dl>
    
    <form asp-action="Delete">
        <input type="hidden" asp-for="Id" />
        <input type="submit" value="Törlés" class="btn btn-danger" /> |
        <a asp-action="Index">Vissza a listához</a>
    </form>
</div>

Views/Kepeim/Details.cshtml
@model fenykepalbum_4_3.AspNetCore.NewDb.Models.Kepek

@{
    ViewData["Title"] = "Részletes";
}

<h1>Részletes...</h1>

<div>
    <h4>Képek</h4>
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            Kép
        </dt>
        <dd class="col-sm-10">
            <img src="~/kepek/@Model.Filenev" class="img-thumbnail kicsi" />
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Filenev)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Filenev)
        </dd>
       
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Holkeszult)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Holkeszult)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Mikor)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Mikor)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Leiras)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Leiras)
        </dd>
    </dl>
</div>
<div>
    <a asp-action="Edit" asp-route-id="@Model.Id">Szerkesztés</a> |
    <a asp-action="Index">Vissza a listához</a>
</div>

Views/Kepeim/Edit.cshtml
@model fenykepalbum_4_3.AspNetCore.NewDb.Models.Kepek

@{
    ViewData["Title"] = "Szerkesztés";
}

<h1>Szerkesztés</h1>

<h4>Képek</h4>
<hr />
<div class="row">
    <form asp-action="Edit">
        <div class="col-md-4">
            <img class="img-thumbnail" id="Kep" src="~/kepek/@Model.Filenev" />
            <div class="form-group">
                <label for="Filenev" class="control-label"></label>
                <input asp-for="Filenev" id="Filenev" class="form-control" />
                <span asp-validation-for="Filenev" class="text-danger"></span>
            </div> 
            <div class="form-group">
                <label for="Filenevek" class="control-label"></label>
                @Html.DropDownList("Filenevek", (SelectList)ViewData["fnevek"], new { onchange = "Action(this.value);", @class = "form-control" })
            </div>
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Id" />

            <div class="form-group">
                <label asp-for="Holkeszult" class="control-label"></label>
                <input asp-for="Holkeszult" class="form-control" />
                <span asp-validation-for="Holkeszult" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Mikor" class="control-label"></label>
                <input asp-for="Mikor" class="form-control" />
                <span asp-validation-for="Mikor" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Leiras" class="control-label"></label>
                <input asp-for="Leiras" class="form-control" />
                <span asp-validation-for="Leiras" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Mentés" class="btn btn-primary" />
            </div>
            </div>
    </form>
    </div>


<div>
    <a asp-action="Index">Vissza a listához</a>
</div>


<script src="https://code.jquery.com/jquery-3.4.1.slim.js"
        integrity="sha256-BTlTdQO9/fascB1drekrDVkaKd9PkwBymMlHOiG+qLI="
        crossorigin="anonymous">

</script>
<script type="text/javascript">
    $(document).ready(function () {
        //$("#Filenev").val($("#Filenevek option:selected").text());

    }
    );
    $("#Filenevek").on("change", function () {
        var fn = $("#Filenevek option:selected").text();
        $("#Filenev").val(fn);
        $("#Kep").attr("src", "/kepek/" + fn);
        

    });
</script>
@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

Views/Kepeim/Index.cshtml
@model IEnumerable<fenykepalbum_4_3.AspNetCore.NewDb.Models.Kepek>

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<p>
    <a asp-action="Create">Új létrehozása</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                Kép, filenév
            </th>
           
            <th>
                @Html.DisplayNameFor(model => model.Holkeszult)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Mikor)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Leiras)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td style="border-bottom:none">
                <img src="~/kepek/@item.Filenev" class="img-thumbnail kicsi"  />
            </td>
            <td rowspan="2">
                @Html.DisplayFor(modelItem => item.Holkeszult)
            </td>
            <td rowspan="2">
                @Html.DisplayFor(modelItem => item.Mikor)
            </td>
            <td rowspan="2">
                @Html.DisplayFor(modelItem => item.Leiras)
            </td>
            <td rowspan="2">
                <a asp-action="Edit" asp-route-id="@item.Id">Szerkesztés</a> |
                <a asp-action="Details" asp-route-id="@item.Id">Részletek</a> |
                <a asp-action="Delete" asp-route-id="@item.Id">Törlés</a>
            </td>
        </tr>
        <tr>
            <td style="border-top:none">
                @Html.DisplayFor(modelItem => item.Filenev)
            </td>
        
           
        </tr>
}
    </tbody>
</table>

Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Fényképalbum v_4_3</title>

    <environment include="Development">
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
    </environment>
    <environment exclude="Development">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
              asp-fallback-href="~/lib/bootstrap/dist/css/bootstrap.min.css"
              asp-fallback-test-class="sr-only" asp-fallback-test-property="position" asp-fallback-test-value="absolute"
              crossorigin="anonymous"
              integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"/>
    </environment>
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">Fényképalbum v_4_3</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Galeria" asp-action="Index">Galéria</a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Kepeim" asp-action="Index">Képeim</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <partial name="_CookieConsentPartial" />
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2019 - Fényképalbum v_4_3 - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>

    <environment include="Development">
        <script src="~/lib/jquery/dist/jquery.js"></script>
        <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.js"></script>
    </environment>
    <environment exclude="Development">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"
                asp-fallback-src="~/lib/jquery/dist/jquery.min.js"
                asp-fallback-test="window.jQuery"
                crossorigin="anonymous"
                integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=">
        </script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js"
                asp-fallback-src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"
                asp-fallback-test="window.jQuery && window.jQuery.fn && window.jQuery.fn.modal"
                crossorigin="anonymous"
                integrity="sha384-xrRywqdh3PHs8keKZN+8zzc5TX0GRTLCcmivcbNJWm2rs5C8PRhcEn3czEjhAO9o">
        </script>
    </environment>
    <script src="~/js/site.js" asp-append-version="true"></script>
  
    @RenderSection("Scripts", required: false)
</body>
</html>